
TYPO3.Fluid - Bug # 3412

Status: Resolved Priority: Should have
Author: Susanne Moog Category: Core
Created: 2009-05-22 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: ViewHelperNode.php -> convertArgumentValue() -- wrong handling of integers and booleans
Description

If you enter in some fluid if condition a parameter that is a true boolean like TRUE it gets converted to FALSE by the
convertArgumentValue(). Same happens if the value is an integer != 0, it's still evaluated to false. Attached patch fixes it for me.

Related issues:
duplicated by TYPO3.Fluid - Feature # 3595: Convert integer types to boolean ... Closed 2009-06-06

Associated revisions
Revision 5874c37a - 2009-05-23 18:51 - Bastian Waidelich
Fluid:
    -  Fixed convertArgumentValue() for values of type boolean - numeric values & booleans were not converted correctly. Thanks to Susanne Moog for
the patch. Resolves #3412
    -  Fixed HTMLSpecialCharsPostProcessor: htmlspecialchars is only applied for values of type string
    -  Removed obsolete ActionLinkViewHelper - please use link.action
    -  Adjusted FormViewHelper, Link/ActionViewHelper and Uri/ActionViewHelper to the latest changes of FLOW3

History
#1 - 2009-05-22 09:17 - Susanne Moog

Snippet to reproduce:

<f:if condition={params.next}>
  next
</f:if>

with

params->next = TRUE;

#2 - 2009-05-22 13:11 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#3 - 2009-05-23 19:01 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2345.
viewNodeHelper_boolEval.patch 477 Bytes 2009-05-22 Susanne Moog
